from cocos.director import director
from cocos.menu import *

class BackMenu( Menu ):

    def __init__(self):
        super( BackMenu, self).__init__() 
        
        self.font_title['color'] = (0,170,0,255)
        self.font_title['font_size'] = 20
        self.font_title['font_name'] = "M01_CPS"
        self.font_title['x'] = 400
        self.font_title['y'] = 200
        
        self.font_item['color'] = (255,255,255,255)
        self.font_item['font_size'] = 10
        self.font_item['font_name'] = "M01_CPS"
        
        self.font_item_selected['color'] = (0,200,0,255)
        self.font_item_selected['font_size'] = 12
        self.font_item_selected['font_name'] = "M01_CPS"

        self.menu_valign = BOTTOM
        self.menu_halign = CENTER
        items = []

        items.append( MenuItem('Back', self.on_back) )

        self.create_menu( items)
        
    def on_back(self):
        director.scene.end()
    def on_quit(self):
        director.scene.end()